import request from '../../../../utils/request'


// 会议通知
export function Get(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/MtMeeting/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//APP新方法 对PC方法进行合并
export function GetAPP(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/GetAPP", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 会议通知
export function FullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 会议通知
export function GetPAll(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/GetPAll", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


// 会议主题
export function OrderPagedMeetingTheme(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/MtMeetingTheme/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


// 会议内容
export function OrderPagedContentName(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/MtContentName/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 会议查看
export function GetSuitDevlop(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/GetSuitDevlop", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 会议确认
export function PAllCheck(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/PAllCheck", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

















//会议纪要
export function GetMinutes(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/MtMeetingMinutes/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetMinutes034(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要 保存并发送 SC030
export function FullUpdateMinutes(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要  请假人员    缺席人员
export function GetMeetingPAll(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/GetMeetingPAll", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}



//获取会议纪要签到信息（ Get=>GetDevelop）
export function GetMinutesSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/GetDevelop", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要签到
export function MeetingMinutesSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/MeetingMinutesSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要落实 030_1
export function GetByDetailDeal(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/GetByDetailDeal", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要落实 UpdateDeal 030_1
export function UpdateDeal(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/UpdateDeal", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//会议纪要落实 GetDetailEffect  030_2
export function GetDetailEffect(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/GetDetailEffect", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要落实 UpdateDealEffect   030_2
export function UpdateDealEffect(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/UpdateDealEffect", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//会议通知列表
export function OrderPagedMeeting(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMTMeeting/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//会议纪要列表
export function OrderPagedMeetingMinutes(params) {
	return new Promise((resolve, reject) => {
		request.post("/SC/SCMtMeetingMinutes/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}